html {
  scroll-behavior: smooth;
}
.w3-top, .w3-sidebar {
  z-index: 3;
}
.r3v-cat-container, .r3v-pill-bar {
  background-color: var(--r3-image-bg-c);
}
.r3v-cat-container {
  font-style: italic;
  border-bottom: 2px solid var(--rc-bg-c-theme);
  min-height: 45px;
}
.r3v-pill-bar {
  position: sticky;
  top: 43px;
  z-index: 2;
  padding: 18px 8px;
  border-bottom: 1px solid var(--rc-bg-c-theme);
  overflow-x: auto;
  white-space: nowrap;
  text-align: center;
  min-height: 60px;
}
.r3v-pill {
  background-color: var(--r3-button-bg-c);
  color: #000;
  padding: 10px;
  border-radius: 16px;
  margin: 6px;
  display: inline;
  cursor: pointer;
}
.r3v-pill:hover {
  background-color: var(--r3-button-bg-c-hover);
}
.r3v-bike-grid {
  margin:16px;
  display:grid;
  gap:48px;
}
.r3v-bike-card  {
  border: 2px solid darkgray;
  border-radius: 8px;
  min-height: 264px;
}
.r3v-bike-card:hover {
  border: 2px dashed var(--rc-bg-c-theme);
  background-color: #fff;
}
.r3v-bike-card picture img {
  padding:8px;
  width:100%;
  height:auto;
  border-radius: 16px;
  background-color: #fff;
  min-height: 139px;
}
.r3v-bike-card .w3-badge {
  padding:0 6px;
  margin:1px;
}
.w3-theme-action.w3-circle {
  aspect-ratio: 1/1;
}
.r3v-compare-gallery {
  height: 166px;
}
.r3v-compare-gallery>.w3-cell{
  max-width:132px;
}
#comparemodal {
  padding-top: 43px;
}
@media (min-width:1130px) {
  #comparemodal>.w3-modal-content {
    width: 1140px;
  }
}
/* freeze table header */
#comparemodal table {
   max-height: 620px;
   overflow-y: auto;
} 
.r3v-sticky-th {
   position:sticky; 
   top:0;
   z-index:1;
   background-color:#eee;
}
.r3v-comp-td  {
  width: 200px;
  min-width: 200px;
  max-width: 200px;
  white-space: nowrap;
}
.r3v-comp-td, .r3-toh {
  overflow: hidden;
  text-overflow: ellipsis; 
}
/* Filter and sort window */
.r3v-modal-content-fltr {
  width:355px;
  top:43px;
  margin-right: 10px;
  z-index:4;
  border-radius: 0 0 4px 4px;
}
.r3v-fltr-crit {
  display: inline-block;
  vertical-align: top;
  margin: 8px;  /* more room on iPhone 6 and up*/
  width: 150px;
  line-height: 1.7em; /*for the search text section*/
}
.r3v-fltr-crit>label, .r3v-fltr-crit>span {
  padding:2px 6px;
  margin: 8px auto;
  font-weight: bolder;
  background-color: whitesmoke;
  border: 0 solid var(--rc-bg-c-theme); /* js code will place a border around present filters */
  border-radius: 16px;
}
.r3v-fltr-crit select{
  display: inline-block;
  width: 100%;
  margin: 8px auto;
}
.r3v-catlvl-2 {
  font-style: italic;
}
.r3v-fltr-ng {
  width:auto;
  max-width:56px;
}
.r3v-youtube {
  color:white; 
  background-color: red; 
  padding:2px 8px;
  border-radius: 30%/20%;
  font-size: small;
}
.r3v-youtube::after {
  content:"\f0da"
}
.r3v-lpdq {
  width: 40px;
  height: 100%;
  margin: 7px 5px;
  opacity: 0.7;
}
.r3v-lpdq:hover  {
  width: 70px;
  height: 100%;
  margin: 3px 0;
  opacity: 1;
}
.r3v-adm-hidden {
  display: none;
}
#r3v-refresh {
  height:24px;
}
.r3v-goToTop {
  display: none;
  position: fixed;
  bottom: 50px; /* Place the button at the bottom of the page */
  right: 20px; /* Place the button from the right */
  z-index: 2; /* Just below the filter button */
  border: 1px solid white; 
  box-shadow:0 3px 5px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12);
  border-radius: 50%;
  margin: 1px;
  outline: none;
  color: #fff;
  background-color: var(--rc-theme-dark-c);
  cursor: pointer;
  padding: 12px;
  opacity: 0.9;
}
.r3v-goToTop:hover {
  color: #000;
  background-color: var(--r3-button-bg-c-hover);
  opacity: 1;
}
